# The different URLs this service does use
from django.urls import path
from django.conf.urls import url
from django.contrib import admin

# Import the classes for the views
from .views import (
    Register,
    ChangeData,
    ChangePassword,
    ResetPassword,
    DeleteAccount,
    Index,
    LogOut,
    ResetRequest,
    UserCreateAPI,
    ActivateAccount,
    Seeds,
    SeedRetrieveCreate
)

urlpatterns = [
    path('register/', Register.as_view(), name="register"),
    path('create/', UserCreateAPI.as_view(), name="create"),
    path('changedata/', ChangeData.as_view(), name="change_data"),
    path('seeds/', Seeds.as_view(), name="user_seeds"),
    path('resetpassword/', ResetPassword.as_view(), name="reset_password"),
    path('changepassword/', ChangePassword.as_view(), name="change_password"),
    path('deleteaccount/', DeleteAccount.as_view(), name="account_delete"),
    path('index/', Index.as_view(), name="index"),
    path('logout/', LogOut.as_view(), name="logout"),
    path('reset/<str:user>/<str:token>/', ResetRequest.as_view()),
    path('activate/<str:user>/<str:pwd>/<str:firstname>/<str:lastname>/<str:email>/<str:token>/', ActivateAccount.as_view()),
    path('reset/', ResetRequest.as_view(), name="reset"),
    path('otp/', SeedRetrieveCreate.as_view(), name="seed"),
    path('', Index.as_view(), name="login_index"),
]